﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg tundrabg = "tundrabg.jpg"
image bg junglebg = "junglebg.png"
image bg volcanobg = "volcanobg.png"
image bg candybg = "candybg.png"
image bg galaxycatbg = "galaxycatbg.png"
image bg homebg = "spacehomebg.jpg"
image bg peacebg = "peacebg.jpg"
image bg curtain = "background.jpg"
image bg CandyEnding = "CandyEnding.jpg"
image bg DandyEnding = "DandyEnding.jpg"
image bg CowboyEnding = "CowboyEnding.jpg"
image bg PunkEnding = "PunkEnding.jpg"

image punk neutral = "PunkIdle.png"
image punk calm = "PunkCalm.png"
image punk dog = "PunkDog.png"
image dandy neutral = "DandyIdle.png"
image dandy disgust = "DandyDisgust.png"
image dandy smile = "DandySmile.png"
image cowboy neutral = "CowboyIdle.png"
image cowboy disgust = "CowboyDisgust.png"
image cowboy smile = "CowboySmile.png"
image cowboy dog = "CowboyDog.png"
image cowboy holo = "CowboyHolo.png"
image candy neutral = "CandyIdle.png"
image candy disgust = "CandyDisgust.png"
image candy wink = "CandyWink.png"
image weirdguy = "WeirdGuy.png"
image jones neutral = "JonesIdle.png"
image jones holo = "JonesHolo.png"
image protag = "protag.png"
image dog = "Dog.png"

image item = ConditionSwitch(
    "HaveCandy", "ItemCandy.png",
    "HaveDog", "ItemDog.png",
    "HaveCloth", "ItemCloth.png",
    "HaveIce", "ItemIce.png",
    "True", "ItemEmpty.png")

# Declare characters used by this game.
define A = Character('Akachi', color="#f7b500")
define U = Character('???', color="#cccccc")
define M = Character('Manuel', color="#00b7fa")
define K = Character('Klothilde', color="#eb0085")
define L = Character('Taylor', color="#581f60")
define Y = Character('Audrey', color="#beaf23")
define J = Character('Sergeant Jones', color="#093e15")
define w = Character('Weird Guy', color="#415444")

init:
    image weirdguy flip = im.Flip("WeirdGuy.png", horizontal=True)

# The game starts here.
label start:
    $ VisitedCandy = False
    $ VisitedJungle = False
    $ VisitedTundra = False
    $ VisitedVolcano = False
    $ HeardCandyProblem = False
    $ HeardTundraProblem = False
    $ HeardJungleProblem = False
    $ HeardVolcanoProblem = False
    $ HeardCandyBackground = False
    $ HeardJungleBackground = False
    $ HeardTundraBackground = False
    $ HeardVolcanoBackground = False
    $ Candy_Problem = True
    $ Jungle_Problem = True
    $ Tundra_Problem = True
    $ Volcano_Problem = True
    $ HaveCandy = False
    $ HaveDog = False
    $ HaveCloth = False
    $ HaveIce = False
    $ Tundra_Request = False
    $ DogReturn = False
    $ ProblemsSolved = 0

    scene bg curtain
    with Fade(1.0, 0.0, 2.0)
    play music "PeaceMusic.mp3" fadein 3.0
    U "Contacting Akachi Fortman..."
    U "I repeat: Contacting Akachi Fortman..."
    scene bg homebg
    with Fade(0.5, 0.0, 2.0)
    A "*Yawn*... Agent Fortman speaking, what's up?"
    show jones holo:
        xalign 0.8 yalign 0.1
    with dissolve
    J "Excuse me? We've been over this many times, Fortman, you are to reply 'Reporting for duty' when superiors call for you!"
    A "...Fine. Reporting for duty, sir. How can I help you on this fine Space Morning?"
    J "Report to central offices immediately, please."
    J "We're getting several reports of major disturbances, and we don't have enough hands on deck to deal with them all right now."
    A "What, and you want me to file the paperwork for everyone again?"
    J "Why, not at all. You'll be doing field work."
    A "Field work? ME? I-I'll be right over!"
    hide jones
    with dissolve
    A "(Oh man, I'm so excited! I bet anyone would be able to tell!)"
    
    scene bg peacebg
    show jones neutral
    with fade
    "At the Neutral Peacekeepers HQ..."
    A "Yo! I mean, um, Agent Fortman reporting for duty!"
    J "Better. So you're ready for your assignment?"
    A "You bet I am, Sergeant Jones. It's about time you let me venture off-planet."
    J "Quite. We don't want another attempt of you trying to sneak through customs. No one leaves without authorisation."
    J "So, on to your assignment. We've gotten a deluge of reports from the four main Planet-Cities about serious issues they're having."
    J "We are giving you clearance to go out and handle them all."
    A "Wait, all of them? Why not just send someone to each Planet-City separately?"
    J "The majority of the force has booked the Space Week off to watch the City Ping-Pong tournament."
    A "When you say majority, do you mean--"
    J "All of us, yes."
    A "Including you?"
    J "Including me. You'll be issued with an ID card to get you through customs and a guidebook to the other Planet-Cities."
    J "Now please get out of my office. I don't want to miss the opening ceremony of the tournament."
    A "Understood, sir."
    A "(...Prick.)"
    J "I heard that, Agent Fortman."
    A "You heard nothing!"
    stop music fadeout 2.0
    hide jones
    scene black
    with Dissolve(2.0)
    
label SpaceMap:
    call screen spacestation #Displaying the imagemap


label Endgame:
    scene bg curtain
    with Fade(1.0, 0.0, 2.0)
    play music "PeaceMusic.mp3" fadein 3.0
    "Later, back at Akachi's Space Apartment..."
    U "Contacting Akachi Fortman..."
    U "I repeat: Contacting Akachi Fortman..."
    scene bg homebg
    with fade
    A "Agent Fortman speaking..."
    A "Oh, and reporting for duty!"
    show cowboy holo:
        xalign 0.8 yalign 0.1
    with dissolve
    L "You sound like you're rip-roaring to go, Sherrif!"
    A "Oh, you're the Cowboy-Metalhead guy - I was expecting my boss."
    L "You mean that Sergeant Jones fella? Tried to call him too, but it went straight to voicemail."
    L "Something about a 'ping-pong tournament'? Whatever that is..."
    L "Anyhoo, our situation with the GALAXY CAT has escalated - it's mounting an attack!"
    A "Oh no! I'll be over right away!"
    L "See you on the field of battle, sherrif."
    hide cowboy
    with dissolve
    A "(Oh man, I don't think I could take on something like that alone!)"
    A "(I'll see if one of the Planet-City reps will assist.)"
    
menu:
    A "Who should I take with me to the GALAXY CAT?"
    "Take the Candy Harajuku rep, Manuel Yoshihara":
        jump CandyEnding
    
    "Take the Tundra Punks rep, Klothilde Damri":
        jump TundraEnding
    
    "Take the Cowboy-Metalheads rep, Taylor Marshall":
        jump JungleEnding
    
    "Take the Volcano Dandies rep, Audrey Larudis":
        jump VolcanoEnding
    
label CandyEnding:
    scene bg galaxycatbg
    with fade
    play music "Spacemap.mp3" fadeout 1.0 fadein 1.0
    show protag at left with moveinleft
    show candy neutral at right with moveinright
    M "Thanks for inviting me out, this Jungle of the Cowboy-Metalheads is really something."
    show candy wink
    M "And this GALAXY CAT is real cute! Do we really have to get rid of it?"
    show candy neutral
    A "Well, I guess not. We can just... chill out and watch its stars."
    A "...If that's cool with you, anyway."
    M "Yeah..."
    show candy wink
    M "Yeah I'd like that."
    scene bg CandyEnding
    with fade
    $ renpy.pause (5.5)
    jump Ending
    
label TundraEnding:
    scene bg galaxycatbg
    with fade
    play music "Spacemap.mp3" fadeout 1.0 fadein 1.0
    show protag at left with moveinleft
    show punk calm at right with moveinright
    A "Oh man, this thing's huge!"
    show punk neutral
    K "But it's not going to stand a CHANCE against me and Mr Shitckicker!"
    show punk dog
    K "LET'S GET 'IM, BOY!"
    A "Woah, are those cans of kerosine?! Wait don't--"
    scene bg PunkEnding
    with fade
    $ renpy.pause (5.5)
    jump Ending
    
label JungleEnding:
    scene bg galaxycatbg
    with fade
    play music "Spacemap.mp3" fadeout 1.0 fadein 1.0
    show protag at left with moveinleft
    show cowboy neutral at right with moveinright
    A "So what's the plan of action, Taylor?"
    show cowboy disgust
    L "Well that dog-breeding plan is up the Space Creek after the Tundra Punks came to get their pets back."
    show cowboy smile
    L "But then I thought: 'I've already got the tools to fight this menace right here'!"
    A "Oh? And what would that be?"
    show cowboy disgust
    L "Space Alligators! Let's see how the GALAXY CAT likes an assault from these babies!"
    show cowboy disgust
    with vpunch
    L "HIRRRRRAH!"
    scene bg CowboyEnding
    with fade
    $ renpy.pause (5.5)
    jump Ending
    
label VolcanoEnding:
    scene bg galaxycatbg
    with fade
    play music "Spacemap.mp3" fadeout 1.0 fadein 1.0
    show protag at left with moveinleft
    show dandy neutral at right with moveinright
    Y "Oh my, what a beautiful creature!"
    show dandy smile
    Y "Fur made from stars and planets... it's absolutely beautiful."
    A "Shall we take photos of it, then?"
    show dandy neutral
    Y "Oh no, I intend to do more than that - I shall take some of that exquisite fur for myself!"
    show dandy disgust
    A "(Woah! There's a sword inside that cane of hers!?)"
    show dandy disgust
    with vpunch
    Y "Engarde!"
    scene bg DandyEnding
    with fade
    $ renpy.pause (5.5)
    jump Ending
    
label Ending:
    scene bg curtain
    with fade
    "Thank you for playing Crisis Culture!"
    "Pixel artwork and art direction by Gordon Shier. Follow him at blood-zebra.tumblr.com"
    "Script, coding, and photoshopping by Nathan Blades. Follow him at earlgreymartini.tumblr.com or arslingua.co.uk"
    "Assistant scriptwriting and testing by Phil Baxter, a.k.a Philbyy."
    "Game music by Kevin MacLeod - http://incompetech.com"
    "Sound effects from freesound.org."
    "Crisis Culture was made in Ren'Py! Ren'Py was created by PyTom. Learn more at www.renpy.org"
    stop music fadeout 1.0
    scene black with fade
    
    
return