label PlanetCandy:
    scene bg candybg:
        xalign 1.0 yalign 0.0
        linear 1.0 xalign 0.0
    with fade
    play music "CandyMusic.mp3" fadeout 1.0 fadein 1.0
    show item:
        xalign 0.0 yalign 0.0
    with easeinleft
    #Check if player has visited Harajuku Candy already
    if VisitedCandy:
        show candy neutral
        with easeinleft
        M "Welcome back. Do you have more to ask?"
        jump CandyQuestions
    
    else:
        $ VisitedCandy = True
        A "Okay, so this is Candy Harajuku City."
        A "It's so... bright. I can barely keep my eyes open. And that smell! It's like every dessert I've eaten at once."
        A "(There should be a representative from their City Council to brief me on the situation, but there are so many people around!)"
        show weirdguy
        with vpunch
        w "Hey you! You there!"
        A "Woah!"
        A "A little personal space, buddy!"
        w "{i}Subarashi{/i}! How rare it is to see someone as fair as you in a place like this!"
        w "Indeed, I can feel my stone cold {i}kokoro{/i} going {i}doki doki{/i} once more!"
        A "Um, are you meant to be the City Council rep?"
        w "...Why yes, of course I am! {i}Boku{/i} can be all that and more for you."
        A "No, just being the representative is fine, thank you."
        w "{i}Hai hai{/i}. At any rate, the city streets are far too busy for the, um-"
        w "Important conversations we'll be having, so {i}onegai{/i} if you'll come with me..."
        show candy neutral at right
        with moveinright
        M "Agent Fortman!"
        show weirdguy flip
        with vpunch
        w "Eep!"
        w "I-I am afraid I must be going!"
        show weirdguy
        w "{i}Sayonara{/i}!"
        hide weirdguy
        with moveoutleft
        A "(Wow, he sure can run fast.)"
        show candy disgust at center
        with moveoutright
        M "My apologies, that guy always seems to be lurking around here."
        A "He was claiming to be part of your City Council. If he is, then you definitely need to change your hiring process."
        M "He most assuredly is not! Remind me to have him arrested for impersonating authority later."
        show candy wink
        M "I am Manuel Yoshihara, your representative for Candy Harajuku City today."
        show candy neutral
        M "I'm sure you have many questions so please - ask away."
        jump CandyQuestions

label CandyQuestions:
    #The X_Problem variable starts out TRUE. When it's False, the problem is solved.
menu:
    A "What should I ask about?"
    "What's the problem in Candy Harajuku?" if Candy_Problem:
        jump CandyProblem
    
    "I have just the thing to help!" if HeardCandyProblem and Candy_Problem:
        jump CandySolution
    
    "So what kind of work do you do?":
        jump CandyBackground
    
    "No more questions, later!":
        jump CandyLeave

label CandyProblem:
    # If You've heard the problem already...
    if HeardCandyProblem:
        A "Would you mind going over what you need again?"
        show candy wink
        M "Sure thing, my dear."
        show candy neutral
        M "We're getting harassed daily by the Tundra Punks and need to close off their main access route."
        M "If you can find something large and strong enough to block the transport tube, we'd be incredibly greatful."
        jump CandyQuestions
    # Else, give the full problem    
    else:
        $ HeardCandyProblem = True
        A "So aside from creepy people in the street who hit on you out of nowhere, what's the problem here?"
        M "I'd love to put on a brave face, but we're at our wit's end at the moment."
        show candy disgust
        M "Over the last Space Month we've been under constant harassment from the neighbouring Planet-City, the Tundra Punks."
        show candy neutral
        M "We're trying to rise above it and not fight back, but those bastards are making our daily life hell."
        A "What are they doing exactly?"
        show candy disgust
        M "What HAVEN'T they been doing? They pick fights in our bars, they throw their trash into our transport tube..."
        M "They sneak into the city and start EATING our buildings! Absolutely disgusting!"
        A "I uh, can't imagine why they'd ever do something like that."
        M "I know, right?"
        show candy neutral
        M "At any rate, the only solution we have come up with is to block the transport tube that goes directly between our two cities."
        M "We predict that they won't bother taking the long way around just to pester us."
        M "Our only setback is that we don't have anything to block the tunnel with. We'd build a wall, but that would take too much time."
        show candy disgust
        M "And they'd probably eat through it anyway, the animals."
        show candy neutral
        A "I'll see what I can find then."
        show candy wink
        M "You're an absolute treasure. Is there anything else?"
        jump CandyQuestions

label CandySolution:
    A "You needed something to block up the tunnel, right?"
    show candy wink
    M "Yes indeed, do you have anything like that?"
    #Check if we have the right item
    if HaveCloth:
        A "Yes, although not on me. Here, take this."
        $ HaveCloth = False
        play sound "GiveItem.mp3"
        show candy neutral
        M "A prepaid Space Phone?"
        A "Yep. It's a direct line to a contact in the Volcano Dandy Planet-City. They have a square-mile of indestructable fabric on order."
        show candy wink
        M "Marvellous! That'll be perfect."
        show candy neutral
        M "Although... if it's indestructable fabric, how do they cut it to make things?"
        A "Beats me, buddy."
        M "Fair enough. I feel awful for not having something to give you as a reward, but..."
        M "Pass by my bar if you ever come back here. Your first five drinks will be on me!"
        A "I'd like that. Right, I should get going - it's been a pleasure."
        show candy wink
        M "The feeling's mutual. Until next time!"
        $ Candy_Problem = False
        $ ProblemsSolved += 1
        stop music fadeout 1.0
        hide item
        with moveoutleft
        hide candy
        scene black
        with dissolve
        if ProblemsSolved == 4:
            jump Endgame
        else:
            jump SpaceMap
    
    else:
        A "No, not yet. Sorry to get your hopes up."
        show candy neutral
        M "That's truly a shame, but I still believe you can help us. Please come back if you do find something we can use."
        jump CandyQuestions
        
label CandyBackground:
    #Have we heard his background already?
    if HeardCandyBackground:
        A "So tell me more about yourself."
        show candy wink
        M "I'm flattered! I'm not sure how much there is to tell."
        show candy neutral
        M "Visitors to Candy Harajuku City always say how overwhelming the place is, but I barely notice it."
        A "I don't blame them, really. It's a lot more... vibrant than Peacekeeper HQ."
        M "So this is definitely your first time here?"
        A "Yeah, that's right. I've never been off HQ until today."
        M "Grew up doing paperwork to the incessant sound of ping-pong."
        show candy disgust
        M "I'm not sure what ping-pong is, but I do understand you. I've never left here myself."
        show candy neutral
        M "If you do have any more adventures across the space station, let me know. I'd be delighted to join you."
        A "It's a deal."
        jump CandyQuestions
    
    else:
        $ HeardCandyBackground = True
        A "So what does being part of the City Council here entail?"
        M "Well aside from the occasional bit of inter-city damage control, we're given a lot of free reign here."
        M "We're given regular periods of free time by law to pursue creative exploits. Most of us go into fashion or architecture, but I chose to be a mixologist."
        A "A lucrative job?"
        show candy wink
        M "There's no one in this city who doesn't like a stiff drink."
        show candy neutral
        M "...Hidden behind seven different syrups and served with an umbrella."
        show candy wink
        M "I mix a Space Cosmopolitan so mean, it'll insult your outfit."
        show candy neutral
        M "That said, I also have an official duty on the Council's trade and tourism board."
        M "Our construction materials are incredibly popular during Space Holidays for some reason."
        A "I'd wager that people are eating it."
        show candy disgust
        M "Why on earth would anyone do anything like that? It's not like concrete and rebar are things designed to be eaten."
        A "You say that..."
        A "(Does he not realise what all the buildings look like?)"
        show candy neutral
        M "Anyway, as part of the tourist board, I'm supposed to give out free samples of our construction materials to new visitors."
        show candy wink
        M "I've got plenty, so I insist - please take as much as you can carry. I'd rather not be hefting it about all day..."
        $ HaveCandy = True
        play sound "GetItem.mp3"
        A "I appreciate it. I guess."
        A "(So, next up...)"
        jump CandyQuestions
    
label CandyLeave:
    A "I gotta get going, but thank you for the info."
    show candy wink
    M "The pleasure's all mine. Please come again soon!"
    stop music fadeout 1.0
    hide item
    with moveoutleft
    hide candy
    scene black
    with dissolve
    jump SpaceMap