label PlanetVolcano:
    scene bg volcanobg
    with fade
    play music "VolcanoMusic.mp3" fadeout 1.0 fadein 1.0
    show item:
        xalign 0.0 yalign 0.0
    with easeinleft
    #Check if player has visited Volcano Dandy already
    if VisitedVolcano:
        show dandy neutral
        with easeinright
        Y "Ah, you have returned. May I help you?"
        jump VolcanoQuestions
    
    else:
        $ VisitedVolcano = True
        A "Damn, the heat here is almost unbearable!"
        A "According to the guidebook, the city residents pride themselves in being unflappable."
        A "But does that mean everyone's about to die of heat stroke, and no one will admit it? Christ."
        A "(The area outside the station isn't exactly deserted, but everyone's ignoring me...)"
        Y "Excuse me, you wouldn't happen to be Agent Fortman?"
        show dandy neutral
        with easeinright
        A "Oh! Yep, that's me. I was wondering if anyone here was actually going to notice me, and--"
        show dandy smile
        Y "Very good. I am Audrey Larudis. Charmed, I'm sure."
        jump VolcanoQuestions

label VolcanoQuestions:
    #The X_Problem variable starts out TRUE. When it's False, the problem is solved.
menu:
    A "What should I ask about?"
    "I heard you needed a problem solved?" if Volcano_Problem:
        jump VolcanoProblem
    
    "Refeshments have arrived!" if HeardVolcanoProblem and Volcano_Problem:
        jump VolcanoSolution
    
    "This place is unreal...":
        jump VolcanoBackground
    
    "I'll be taking my leave, ma'am.":
        jump VolcanoLeave

label VolcanoProblem:
    # If You've heard the problem already...
    if HeardVolcanoProblem:
        A "Apologies, but could I hear that request again?"
        show dandy disgust
        Y "My my, how the young are so quick to forget things."
        Y "We require ice, dear. Our morning, afternoon and evening glasses of Space Gin don't cool themselves."
        Y "You need not bring a city's worth for now, just enough to satisfy me and a contact address for more will suffice."
        show dandy smile
        Y "...I hope that sank in this time, I would rather not repeat myself."
        A "Uh, yes. As you wish."
        jump VolcanoQuestions
    # Else, give the full problem    
    else:
        $ HeardVolcanoProblem = True
        A "Surely elegant folk like you would want for nothing, right?"
        show dandy disgust
        Y "Normally I would be inclined to agree, but as of late our Space Teatimes have been an unmitigated disaster."
        show dandy neutral
        Y "We spend countless Space Hours dressing in the best fineries and laying out the shiniest Space Silverware..."
        Y "And then when guests arrive we find that there is absolutely NO ice for our Space Gin and Tonics!"
        A "Wow, that's-"
        show dandy disgust
        Y "Absolutely unacceptable, I agree!"
        Y "To say nothing of my own incredible discomfort, daily breaks for Space Gin - or, at a push, Space Pimms..."
        show dandy neutral
        Y "Are in the Planet-City's constitution. They are absolutely mandatory."
        A "(Mandatory daily drinking sessions? That's almost worth the unbearable heat here...)"
        show dandy disgust
        Y "The workers are starting to revolt! There's no way we'll make our quota of evening gowns if this keeps up."
        A "Yeah, that's too bad."
        Y "Quite so. So if you want to help, get us some ice. Chop chop!"
        show dandy neutral
        if Tundra_Request:
            A "(Oh, I can get some ice from the Tundra Punk Metropolis. Let's speak to Klothilde again.)"
            
        jump VolcanoQuestions

label VolcanoSolution:
    A "Apologies for the delay, you requested ice, correct?"
    show dandy disgust
    Y "Mm. I was beginning to grow weary of waiting in anticipation."
    show dandy neutral
    #Check if we have the right item
    if HaveIce:
        A "But of course, madame. Et voila!"
        $ HaveIce = False
        play sound "GiveItem.mp3"
        show dandy smile
        Y "Good show!"
        Y "This will definitely keep me and my associates comfortable for a little while yet."
        A "It was, uh, a pleasure to be of assistance?"
        show dandy neutral
        Y "And there's more where this came from, I don't suppose?"
        A "You suppose correct - this is a fresh export from the Tundra Punk Metropolis."
        A "Getting permission to remove the ice might require you to go through the City Council rep who is..."
        A "...a very powerful presence. But you're definitely the kind of person who can hold her own."
        show dandy smile
        Y "You definitely know all the right words to say! Very well, I accept this gratefully."
        Y "In return, you can have a sample of our newest fabric, made with cutting-edge Space Technology."
        Y "It's designed to withstand everything from Space Coffee stains to the heat-death of the universe. And it's easy iron, too."
        A "Wow, that sounds incredible! How large is the fabric you're giving me?"
        show dandy disgust
        Y "Roughly one square mile."
        A "..."
        show dandy smile
        Y "Ohohoho, don't look so shocked, dear! You don't have to carry it with you, just take this."
        $ HaveCloth = True
        play sound "GetItem.mp3"
        show dandy neutral
        Y "That Space Phone has a direct line to my secretary. Call him, and he'll arrange a fitting for you, wherever you like, free of charge."
        Y "Now, if you'll excuse me, I shall store this ice in a safe place before it melts. A high risk around here, I'm sure you agree."
        A "Indeed. Enjoy your gin!"
        show dandy smile
        Y "Hmhmhm. I fully intend to."
        $ Volcano_Problem = False
        $ ProblemsSolved += 1
        stop music fadeout 1.0
        hide item
        with moveoutleft
        hide dandy
        scene black
        with dissolve
        if ProblemsSolved == 4:
            jump Endgame
        else:
            jump SpaceMap
    
    else:
        A "You may have to wait longer, I'm afraid. The ice is yet to be in my posession."
        show dandy disgust
        Y "You just can't find good help these days. No matter - just hurry back when you do find what I'm looking for."
        jump VolcanoQuestions
        
label VolcanoBackground:
    #Have we heard his background already?
    if HeardVolcanoBackground:
        A "So how about yourself, what's it like being on your City Council."
        show dandy neutral
        Y "It's a pleasant enough occupation. I keep a close watch over one of the top R&D facilities in the city."
        show dandy smile
        Y "In my spare time I am an accomplished author and Space Station champion in penny farthing racing."
        A "Penny farthing?"
        show dandy disgust
        Y "My, you're terribly uncultured. You may read about my exploits in my lastest autobiography..."
        show dandy smile
        Y "Tweed and Tea: The Incredible Exploits of Audrey Larudis."
        A "I'll be sure to read it."
        Y "Found in all good Space Bookstores!"
        show dandy neutral
        jump VolcanoQuestions
    
    else:
        $ HeardVolcanoBackground = True
        A "How the hell did you get a working volcano inside your Planet-City?"
        show dandy disgust
        Y "I think you'll find that it's not actually lava, but molten recyclables."
        show dandy neutral
        Y "In addition to creating the finest cloth you'll get in this space station, we also work as a waste recycling plant."
        A "That doesn't sound too pleasant."
        show dandy smile
        Y "A true dandy never complains about their situation, and we don't like showing weakness."
        show dandy neutral
        Y "Plus, it wouldn't do to leave the rest of you drowning in your own filth."
        Y "Best of all, we have the Space Technology to weave recycled scrap into immaculate and elegant garments."
        show dandy disgust
        Y "I kindly request you don't mix your recyclables together, lest you end up wearing something made from old Space Pizza boxes."
        A "Oh. Duly noted."
        A "(Note to self: Start recycling more often. And wash clothes bought from here before wearing.)"
        show dandy neutral
        jump VolcanoQuestions
    
label VolcanoLeave:
    A "I appreciate you taking the time, but I should get going."
    show dandy smile
    Y "Of course. Time is money after all!"
    stop music fadeout 1.0
    hide item
    with moveoutleft
    hide dandy
    scene black
    with dissolve
    jump SpaceMap