﻿label PlanetJungle:
    scene bg junglebg:
        xalign 1.0 yalign 0.0
        linear 1.0 xalign 0.0
    with fade
    play music "JungleMusic.mp3" fadeout 1.0 fadein 1.0
    show item:
        xalign 0.0 yalign 0.0
    with easeinleft
    if VisitedJungle:
        show cowboy neutral
        with moveinright
        if Jungle_Problem:
            show dog at right with moveinright
        L "Howdy again, Space Sheriff. Is there something else I can help you with?"
        jump JungleQuestions
            
    else:
        $ VisitedJungle = True
        A "The Space Jungle of the Cowboy-Metalheads. What a mouthful."
        A "(According to the gudebook, it's where the station's oxygen comes from, and where the wild space animal specimens are kept.)"
        A "(And the Cowboy-Metalheads have declared themselves park rangers.)"
        show cowboy neutral
        with moveinright
        show dog at right with moveinright
        A "(The humidity and the smell of the jungle is intense! Doesn't seem to bother this guy, though.)"
        show cowboy smile
        L "Sherrif Fortman, I presume?"
        A "(That is one adorable puppy. I wonder where it came from...)"
        A "Agent Fortman, if you don't mind. May I ask your name?"
        show cowboy neutral
        L "Taylor Marshall, at your service. About time you boys got down here, we've been sending for you for Space Months!"
        jump JungleQuestions
            
label JungleQuestions:
    menu:
        A "What should I ask about?"
        "So what's the trouble in the Jungle?" if Jungle_Problem:
            jump JungleProblem
            
        "I dunno about this GALAXY CAT, but I can find food." if HeardJungleProblem and Jungle_Problem:
            jump JungleSolution
        
        "What brings the Space Cowboy Metalheads here?":
            jump JungleBackground
            
        "Aight, that's all I need.":
            jump JungleLeave
            
label JungleProblem:
    if HeardJungleProblem:
        A "Tell me again, what's the problem?"
        show cowboy disgust
        L "I'll break it down for you real slow:"
        L "One; there's a massive GALAXY CAT that's pretty much guaranteed to kill us all."
        L "Two; for the plan we have, we're going to need additional rations."
        show cowboy neutral
        L "Three; go find us some, would ya?"
        A "Right, right. Gotcha."
        A "(I hate being talked down to...)"
        jump JungleQuestions
        
    else:
        $ HeardJungleProblem = True
        A "So, what's the problem?"
        L "My friend, I have no problems."
        L "I have wrestled Space Aligators."
        show cowboy disgust
        L "I have survived in the wilderness for eight Space Months with nothing but a lighter and a penknife."
        show cowboy smile
        L "I have like, five romantic partners. Life is good."
        A "..."
        show cowboy neutral
        L "Okay, yeah. There's a problem. The GALAXY CAT."
        A "Excuse me?"
        scene bg galaxycatbg
        with dissolve
        L "Y'know, the horrifying extra-terrestrial being that has been lurking just beyond the space station for the last few Space Months and is probably Very Likely To Kill Us All."
        L "Which I wouldn't call a personal problem or anything, but I guess it does affect me."
        A "I'd say if it was going to kill us all, then we're kind of screwed!"
        L "Oh no no no. See, we have a plan of sorts."
        scene bg junglebg
        show item:
            xalign 0.0 yalign 0.0
        show cowboy neutral
        show dog at right
        with dissolve
        L "Since it's a giant cat, the City Council put its heads together and came up with a plan to get rid of it."
        L "Using other animals to scare it off."
        show cowboy disgust
        L "Thing is, after setting stage one of our plan into motion, we're now a little short on food supplies."
        A "For the animals or for yourself?"
        show cowboy neutral
        L "Both, kinda. Look, if you could get us a decent supply of food, you'd be mighty helpful."
        A "I'll see what I can do."
        jump JungleQuestions
        
label JungleSolution:
    if HaveCandy: 
        A "So, I don't exactly have food, but I was given this sample of Candy Harajuku City concrete-"
        $ HaveCandy = False
        play sound "GiveItem.mp3"
        show cowboy smile
        L "Awwright, some Candycrete! Excellent. That would be wonderful."
        A "As... food."
        L "The most hardcore food. We also make killer moonshine with it."
        A "Right."
        L "You're tougher than I thought. Wanna knock back a few after we brew it?"
        show cowboy neutral
        L "Although you should find some leathers first. The boys won't take you seriously wearing... that."
        A "(Hey, what's wrong with my outfit?!)"
        A "(Also dang, is he seriously just eating it out of the bag?)"
        show cowboy smile
        L "The dogs we snagged - uh, aquired - also love this stuff, check it out."
        show dog at center with move
        "*Yap* *Yap* *Pant*"
        hide dog
        show cowboy dog
        with dissolve
        L "Actually, here. Take this little guy with you for your troubles."
        show cowboy neutral
        $ HaveDog = True
        play sound "GetItem.mp3"
        A "Why are you giving him to me for?"
        L "Maybe you could tell the other Space Sheriffs about our plan."
        show cowboy smile
        L "I'm sure they'll be more than happy to help once they see how big and strong this little guy already is!"
        show cowboy neutral
        L "Besides, raising him is a little challenging when your job involves loose alligators."
        A "Certainly. I'd be glad to tell them!"
        A "(Great. What am I going to do with a freaking puppy?)"
        $ Jungle_Problem = False
        $ ProblemsSolved += 1
        stop music fadeout 1.0
        hide item
        with moveoutleft
        hide cowboy
        scene black
        with dissolve
        if ProblemsSolved == 4:
            jump Endgame
        else:
            jump SpaceMap
    
    else:
        show cowboy smile
        L "Have you been able to find some supplies for us?"
        A "Not found any food yet. I'll keep working on it!"
        show cowboy neutral
        L "That's the most I can ask, partner."
        jump JungleQuestions

label JungleBackground:
    if HeardJungleBackground:
        show cowboy disgust
        L "I can't be wasting time jawing, partner. I have mouths to feed."
        show cowboy neutral
        jump JungleQuestions
    
    else:
        $ HeardJungleBackground = True
        A "So what do, uh, metal cowboys do exactly?"
        show cowboy disgust
        L "Well now, the scene is 'Cowboy-Metalhead' first of all."
        L "Many of us were spending a great deal of time here already, testing ourselves."
        show cowboy smile
        L "Surviving in the harshest environment in the entire station, you know."
        L "As people began to split up from the central station, we thought-"
        show cowboy neutral
        L "Who's looking after the animals? Pet rearing doesn't seem to be part of the aesthetic for most of y'all."
        L "Eventually, we just stuck around here and raised animals ourselves."
        show cowboy smile
        L "We maintain this glorious habitat through sheer willpower."
        L "Besides which, the ecosystem provides us with the enormous volume of leather our look requires."
        A "From the animals you raise?"
        A "(So they're not necessarily animal lovers, then.)"
        show cowboy neutral
        A "And what's your job, when you aren't meeting with Peacekeepers?"
        L "I have a job given only to the very strongest in the jungle."
        show cowboy smile
        L "I'm in charge of the Space Alligators!"
        A "(Which is why his boots look like they could start snapping at me...)"
        show cowboy neutral
        L "Sorry? I didn't catch that."
        A "Oh, nothing! Just admiring your attire."
        jump JungleQuestions
        
label JungleLeave:
    A "I should go."
    show cowboy smile
    L "Ok then. Holler if you need me!"
    stop music fadeout 1.0
    hide item
    with moveoutleft
    if Jungle_Problem:
        hide dog
    hide cowboy
    scene black
    with dissolve
    jump SpaceMap
        